#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_ABI_VERSION = 2.1

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr MCS=/usr/bin/mono-csc AL=/usr/bin/al2

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/lib/cli/taglib-sharp-$(DEB_ABI_VERSION) debian/tmp/usr/share/pkgconfig
	cp src/taglib-sharp.dll debian/tmp/usr/lib/cli/taglib-sharp-$(DEB_ABI_VERSION)/
	cp src/taglib-sharp.dll.mdb debian/tmp/usr/lib/cli/taglib-sharp-$(DEB_ABI_VERSION)/

# The -V is there for a reason. Check the changelog for more info. If you dare
# touch this, prepare for the consequences. Breaking the world is one. Me (or
# other taglib-sharp rdeps' maintainers) finding creative ways to cook you alive
# if the breakages come back to me is another. You've been warned.
override_dh_makeclilibs:
	dh_makeclilibs -V

override_dh_autoreconf:
	[ -d tests ] || mkdir tests
	[ -f tests/Makefile.am ] || touch tests/Makefile.am
	dh_autoreconf

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -rf tests/

%:
	dh $@ --with cli,autoreconf
